Subject: Re: [Bitcoin-development] Floating fees and SPV clients

From: Drak <[email-masked]>
Date: Tue, 3 Dec 2013 11:09:51 +0000

On 3 December 2013 11:03, Peter Todd <[email-masked]> wrote:

> UI once both are implemented is to not show anything in the default
> case, and explain to the user why they have to pay extra in the unusual
> case where they are spending a whole bunch of dust.

Yes, that's the other problem with a merchant setting a fee - they have no
idea how large the transaction might be. If you spend a bunch of dust the
fee could be 2 or 3x the expected fee. Then you might get merchants
including higher fees by default to account for this. That means we end up
paying more per kb over time.